## SexyTreeView

SexyTreeView — A GtkTreeView which supports tooltips on individual cells.

## Synopsis

                SexyTreeView;
    GtkWidget*  sexy_tree_view_new              (void);
    void        sexy_tree_view_set_tooltip_label_column
                                                (SexyTreeView *treeview,
                                                 guint column);

## Object Hierarchy

      GObject
       +----GInitiallyUnowned
             +----GtkObject
                   +----GtkWidget
                         +----GtkContainer
                               +----GtkTreeView
                                     +----SexyTreeView

## Implemented Interfaces

SexyTreeView implements AtkImplementorIface.

## Signals

    "get-tooltip"
                GtkWidget*  user_function      (SexyTreeView      *treeview,
                                                GtkTreePath       *path,
                                                GtkTreeViewColumn *column,
                                                gpointer           user_data)      : Run last

## Description

SexyTreeView is a GtkTreeView which supports tooltips on individual cells. These tooltips can be either text (stored in a column of the tree model) or widgets, created through a signal handler.

## Details

### SexyTreeView

    typedef struct _SexyTreeView SexyTreeView;

The SexyTreeView struct contains private data only, and should be manipulated using the functions below.

### sexy_tree_view_new ()

    GtkWidget*  sexy_tree_view_new              (void);

Creates a new SexyTreeView widget

Returns : | a new SexyTreeView

### sexy_tree_view_set_tooltip_label_column ()

    void        sexy_tree_view_set_tooltip_label_column
                                                (SexyTreeView *treeview,
                                                 guint column);

Sets a column of the view's model to be used for the text in tooltips.

`treeview` : | A SexyTreeView
`column` : | The column of the tree model to use for tooltip text.

## Signal Details

### The "get-tooltip" signal

    GtkWidget*  user_function                  (SexyTreeView      *treeview,
                                                GtkTreePath       *path,
                                                GtkTreeViewColumn *column,
                                                gpointer           user_data)      : Run last

The ::get-tooltip signal is emitted when the user's mouse hovers over a cell in the tree for longer than 500ms.

`treeview` : | The treeview on which the signal is emitted.
`path` : | The path of the row on which the user is hovering.
`column` : | The column on which the user is hovering.
`user_data` : | user data set when the signal handler was connected.
Returns : | a GtkWidget to put in the tooltip window. If NULL is returned, no tooltip will be shown.